
/* ===========================================================
*				testView CONTROLLER
============================================================== */

/* INITIALIZATION
============================================================== */

//Give a temporal name based on the number of views added
$.v.name = "v" + Alloy.Globals.nViews
Alloy.Globals.nViews++

$.v.setBackgroundColor('#'+Math.floor(Math.random()*16777215).toString(16));//Give it a random color


/* move the view, up down left right
--------------------------------------------------------------- */
$.v.addEventListener('swipe', function(event){

	event.bubbles = false
	event.cancelBubble = true

	if(event.direction == "up"){
		if($.v.bottom !== undefined)
			$.v.bottom = undefined
		$.v.setTop(0)
	}

	else if(event.direction == "down"){
		if($.v.top !== undefined)
			$.v.top = undefined
		$.v.setBottom(0)
	}

	else if(event.direction == "left"){
		if($.v.right !== undefined)
			$.v.right = undefined
		$.v.setLeft(0)
	}

	else if(event.direction == "right"){
		if($.v.left !== undefined)
			$.v.left = undefined
		$.v.setRight(0)
	}

})
